### Function

# Gimp context_set_transform_direction

#### Declaration [src]

    gboolean
    gimp_context_set_transform_direction (
      GimpTransformDirection transform_direction
    )

#### Description [src]

Set the transform direction.

This procedure modifies the transform direction setting.

This setting affects affects the following procedures: gimp_item_transform_flip(), gimp_item_transform_perspective(), gimp_item_transform_rotate(), gimp_item_transform_scale(), gimp_item_transform_shear(), gimp_item_transform_2d(), gimp_item_transform_matrix().

Available since: | 2.8

#### Parameters

`transform_direction` | `GimpTransformDirection`
| The transform direction.

#### Return value

Returns: | `gboolean`
| TRUE on success.